Page MenuHomePhabricator

Decrease EntityUsageTable addUsage batch size to 100
Closed, ResolvedPublic

Description

Per T205045#4937780 we should alter the config var in production to be an even smaller value.

The wikibase config options is "addEntityUsagesBatchSize"
Docs can be seen @ https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/485849/5/docs/options.wiki
Default value is currently 300

We should try decreasing this value to 100, and monitor the occurrence of errors.

Event Timeline

Michael created this task.Jun 11 2019, 11:48 AM
Restricted Application added a project: User-Michael. · View Herald TranscriptJun 11 2019, 11:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Michael updated the task description. (Show Details)Jun 11 2019, 11:48 AM

Change 516478 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[operations/mediawiki-config@master] Set EntityUsageTable addUsage batch size to 100

https://gerrit.wikimedia.org/r/516478

The plan is to remove it to 100 in steps of 200, 150, 100.

While doing that, we have to watch https://grafana.wikimedia.org/d/000000273/mysql?orgId=1 especially the "Queries per second" number. That number is 13.77K right now.

A DBA should be aware of these changes.

Change 516478 merged by jenkins-bot:
[operations/mediawiki-config@master] Set EntityUsageTable addUsage batch size to 200

https://gerrit.wikimedia.org/r/516478

Mentioned in SAL (#wikimedia-operations) [2019-06-17T11:49:21Z] <awight@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit|516478 Set EntityUsageTable addUsage batch size to 200 (T225500)]] (duration: 00m 47s)

Change 517669 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set EntityUsageTable addUsage batch size to 150

https://gerrit.wikimedia.org/r/517669

This should happen in a SWAT right? (can't find it scheduled though)

Change 517669 merged by jenkins-bot:
[operations/mediawiki-config@master] Set EntityUsageTable addUsage batch size to 150

https://gerrit.wikimedia.org/r/517669

Mentioned in SAL (#wikimedia-operations) [2019-06-20T14:22:48Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:517669|Set EntityUsageTable addUsage batch size to 150 (T225500)]] (duration: 00m 56s)

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:27 PM

Change 518952 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set EntityUsageTable addUsage batch size to 100

https://gerrit.wikimedia.org/r/518952

The plan is to remove it to 100 in steps of 200, 150, 100.
While doing that, we have to watch https://grafana.wikimedia.org/d/000000273/mysql?orgId=1 especially the "Queries per second" number. That number is 13.77K right now.

Do we expect that number to go up or down due to these changes?

The plan is to remove it to 100 in steps of 200, 150, 100.
While doing that, we have to watch https://grafana.wikimedia.org/d/000000273/mysql?orgId=1 especially the "Queries per second" number. That number is 13.77K right now.

Do we expect that number to go up or down due to these changes?

It should not go really higher than its current value.

Change 518952 merged by jenkins-bot:
[operations/mediawiki-config@master] Set EntityUsageTable addUsage batch size to 100

https://gerrit.wikimedia.org/r/518952

Mentioned in SAL (#wikimedia-operations) [2019-06-26T12:06:36Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:518952|Set EntityUsageTable addUsage batch size to 100 (T225500)]] (duration: 00m 56s)